package org.spagic3.client.osgi;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.spagic3.constants.SpagicConstants;
import org.spagic3.core.AbstractSpagicService;
import org.spagic3.nmr.api.Exchange;

public class ClientServiceInvokerImpl extends AbstractSpagicService implements IClientServiceInvoker{
	private Logger logger = LoggerFactory.getLogger(ClientServiceInvokerImpl.class);
	
	
	@Override
	public void fireAndForget(String serviceID, Exchange exchange) {
		try{
		
		
			exchange.setProperty(SpagicConstants.SPAGIC_SENDER, this.getSpagicId());
			exchange.setProperty(SpagicConstants.SPAGIC_TARGET, serviceID);
			send(exchange);
			
		}catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	@Override
	public void process(Exchange exchange) {
		
		logger.info("Process Exchange ["+exchange+"]" );
	}

}
